v3.18.1 16th June 2009
  - A bug fix release.

v3.18 5th June 2009
  - Changes to be able to be built by SIP v4.8 and later.

v3.17.6 17th November 2008
  - A bug fix release.

v3.17.5 8th November 2008
  - Added the /Constrained/ argument annotations for enums needed by SIP v4.7.8
    and later.
  - Added the missing TQRegion.rects() (based on a patch from Hans-Peter
    Jansen).
  - Added the missing TQWidget.stackUnder() slot.

v3.17.4 6th December 2007
  - Changes to be able to be built by SIP v4.7.2 and later.

v3.17.3 30th July 2007
  - A minor bug fix release.
  - Changes to be able to be built by SIP v4.7.

v3.17.2 25th April 2007
  - A minor bug fix release for a regression in v3.17.1.

v3.17.1 10th April 2007
  - This version requires SIP v4.6 (or later).
  - Changes to ensure compatibility with future SIP releases.

v3.17 4th November 2006
  - Added support for Python v2.5.
  - Added the missing TQImage.bitBlt() function.
  - Added the missing TQListView.setSelectionAnchor() method.
  - Added the missing TQStringList.__iadd__(TQString) method.
  - Updated the TQScintilla bindings for v1.17.

v3.16 24th March 2006
  - This version requires SIP v4.4 (or later).
  - PyTQt3 can be installed alongside PyTQt4.
  - Concatenating Python strings and TQStrings is now supported.
  - TQString now supports the * and *= operators that behave as they do for
    Python strings.
  - Removed some TQString methods that weren't appropriate in a Python context
    and would have caused problems had they ever been used.
  - TQString is more interoperable with Python string and unicode objects.  For
    example they can be passed as arguments to open() and to most (but not all)
    string methods.
  - TQObject.sender() now handles Python signals.
  - Added the missing MacintoshVersion enum.
  - The convention for converting between a C/C++ null pointer and Python's
    None object has now been universally applied.  In previous versions a null
    pointer to, for example, a TQt list container would often be converted to an
    empty list rather than None.
  - PYQT_BUILD has been removed.
  - TQPopupMenu (and sub-classes) instances now transfer ownership of the menu
    to Python in the call to exec_loop().  This means the menu's resources are
    all released when the Python wrapper is garbage collected without needing
    to call TQObject.deleteLater().

v3.15.1 14th November 2005
  - Added the missing TQApplication constructor.
  - Added the -f flag to configure.py to use any existing features file (by
    default it is recreated).

v3.15 30th August 2005
  - This version requires SIP v4.3 (or later).
  - Added registerWeakActiveObject() and revokeActiveObject() to TQAxBase.
  - Added the missing TQString + operator.
  - PyTQt classes now support Python's cyclic garbage collector.
  - TQDialog (and sub-classes) instances now transfer ownership of the dialog to
    Python in the call to exec_loop().  This means the dialog's resources are
    all released when the Python wrapper is garbage collected without needing
    to call TQObject.deleteLater().
  - Automatic type conversion to more specific sub-classes using available
    real-time type information has been improved so that, if a sub-class isn't
    recognised then the most specific sub-class is used rather than the base
    class.
  - Automatic type conversion for TQLayoutItem and sub-classes has been added.
  - Added support for TQScintilla v1.6.

v3.14.1 6th March 2005
  - A minor bug fix release.

v3.14 19th February 2005
  - This version requires SIP v4.2 (or later) or SIP v3.12 (or later).
  - Added the qInstallMsgHandler() function.
  - Added support for TQScintilla v1.5.
  - Added support for the VendorID package.
  - Added the qdir.py example.

v3.13 21st September 2004
  - Added the TQUuid, TQMetaObject and TQMetaProperty classes.
  - Added metaObject() to TQObject.
  - Added the comparison operators between TQChar and TQChar and char.
  - Added all the TQDataStream << and >> operators for classes.
  - Added support for TQScintilla v1.4.
  - Added explicit support for TQScintilla to pyuic.

v3.12 25th May 2004
  - TQValueList<TQVariant> is implemented as a Python list of TQVariant instances.
  - Added support for TQScintilla v1.3.
  - Compiler error messages are suppressed during configuration but can be seen
    using the new -w flag to configure.py.

v3.11 11th March 2004
  - Added the TQIconDragEvent and TQLocale classes from TQt v3.3.0.
  - Updated all existing classes to TQt v3.3.1.
  - Added the missing TQSocketDevice class.
  - Added the missing TQString += operators.

v3.10 16th January 2004
  - Added the TQFtp, TQHttp, TQHttpHeader, TQHttpRequestHeader,
    TQHttpResponseHeader, TQLocalFs classes.

v3.9 7th December 2003
  - This version requires SIP v3.9 (or later) or SIP v4.0rc1 (or later).
  - TQLayoutIterator.next() is now documented.
  - Added the TQImageIO and TQListViewItemIterator classes.
  - Added the TQDockArea << and >> operators.
  - Added readBoolEntry() to TQSettings.
  - Added tqInstallPath(), tqInstallPathDocs(), tqInstallPathHeaders(),
    tqInstallPathLibs(), tqInstallPathBins(), tqInstallPathPlugins(),
    tqInstallPathData(), tqInstallPathTranslations(), tqInstallPathSysconf().
  - A new (configure.py) build system has been added which is independent of
    tmake and qmake and installs a pyqtconfig module.  The old (build.py) build
    system remains.
  - Added the -r flag to the build systems to enable tracing.
  - Added the -v flag to the build systems to specify the default location for
    .sip files.

v3.8.1 6th September 2003
  - Added the missing TQWMatrix.mapRect() * operators.
  - The supported educational version is now TQt v3.2.0.

v3.8 17th August 2003
  - Added the -k flag to build.py to build the PyTQt modules as static
    libraries.
  - Added operators to TQBrush, TQColor, TQDate, TQDateTime, TQDir, TQDomeNode,
    TQFont, TQImage, TQKeySequence, TQPalette, TQPen, TQPoint, TQRect, TQRegExp,
    TQRegion, TQSize, TQString, TQTime, TQUrl and TQWMatrix (thanks to Torsten
    Marek).
  - Added the missing TQt.MetaButton.
  - Updated all classes for TQt v3.2.0.
  - Added the TQSplashScreen, TQSqlSelectCursor and TQToolBox classes for TQt
    v3.2.0.
  - Added support for TQScintilla v1.2.

v3.7 5th July 2003
  - Implemented __setitem__(), __delitem__(), __add__(), __iadd__(), __mul__(),
    __imul__(), __eq__() and __ne__() for TQStringList.
  - Lots of new examples from Jorge Arroyo.
  - dir() of a PyTQt class now returns all attributes.
  - Added bits(), scanLine(), jumpTable() and colorTable() to TQImage.
  - Added toShort(), toUShort(), toInt(), toUInt(), toLong(), toULong(),
    toFloat() and toDouble() to TQCString and TQString.
  - Added the TQWindowsXPStyle (Windows XP only), QextScintillaLexerHTML,
    QextScintillaLexerSQL and TQSignalMapper classes.
  - pyuic (for TQt v3) now accepts a "-test" command line argument to allow
    generated code to be run to completion without needing any user
    interaction.
  - Added modificationAttempted() to QextScintilla.

v3.6 26th April 2003
  - Added the QextScintillaAPIs, QextScintillaCommand, QextScintillaCommandSet,
    QextScintillaMacros and QextScintillaPrinter classes to the qtext module.
  - Added the TQCopEnvelope class to the qtpe module.
  - TQString.startsWith() was missing for TQt v2 starting with TQt v2.2.0.
  - Implemented the TQTextStream << TQMainWindow and TQTextStream >> TQMainWindow
    operators.
  - pyuic will now extract Python code from the comments section of a .ui file.
  - pyuic now supports PEP 263.
  - Added the biff.py, checklists.py, drawlines.py and modified buttongroups.py
    examples from Oleksandr Yakovlyev.
  - Added the qtui module (thanks to Hans-Peter Jansen).
  - Support for TQt v3.1.2 added.
  - PYTQT_VERSION is now the version encoded as a hexadecimal value.
  - Added PYTQT_VERSION_STR.

v3.5 11th December 2002
  - Added the qtext module containing the bindings for TQScintilla.
  - Added the missing TQDockWindow.drawFrame(), TQGLWidget.reparent() and
    TQMainWindow.lineUpDockWindows() methods.
  - Added the missing TQGLColorMap class.
  - Support for TQt v3.0.6, v3.1.0 and v3.1.1 added.
  - Added the TQt v3.1.x TQAssistantClient, TQEventLoop, TQIconFactory,
  - TQIMComposeEvent, TQMutexLocker and TQSyntaxHighlighter classes, and
    tqCompress() and tqUncompress functions.
  - Removed eric from the distribution as it is now packaged separately.
  - The SQL examples now support PostgreSQL as well as MySQL.
  - Added the TQtopia v1.5.0 AppLnk, AppLnkSet, Config, DateFormat, DocLnk,
    DocLnkSet, FileManager, FileSelector, FileSelectorItem, FontDatabase,
    Global, MenuButton, TQDawg, TQList<AppLnk>, TQList<DocLnk> and Resource
    classes.

v3.4 10th September 2002
  - More eric updates from Detlev Offenbach, including pylupdate.
  - helpviewer is now installed as a standalone application.
  - Added the progress.py example from Hans-Peter Jansen.
  - Added the mdi.py and canvas.py examples from Sadi Kose.
  - Added QT_TR_NOOP() and QT_TRANSLATE_NOOP().
  - Added TQApplication.winEventFilter(), TQWidget.winEvent(), MSG and POINT
    under Windows.
  - PyTQt is now licensed under several licenses including the GPL and a
    commercial license.

v3.3.2 12th July 2002
  - Build system changes.

v3.3.1 9th July 2002
  - Support for TQt v3.0.5 added.

v3.3 7th July 2002
  - Added README.SunOS.
  - TQValueList<TQPixmap> is now fully implemented as a mapping to a Python list
    of TQPixmap instances.
  - TQSqlRecordInfo is now implemented as a Python list of TQSqlFieldInfo
    instances.
  - Added the missing TQDoubleValidator.setBottom(),
    TQDoubleValidator.setDecimals(), TQDoubleValidator.setTop,
    TQFontMetrics.boundingRect(), TQFontMetrics.size(),
    TQIntValidator.setBottom(), TQIntValidator.setTop(), TQString.compare() and
    TQString.localeAwareCompare().
  - Added the qmake based build system.
  - Added lots of eric patches from Detlev Offenbach.  (eric should now work
    again and has new features.)
  - Added the SQL examples from Hans-Peter Jansen.
  - pyuic for TQt v3 can now extract Python code from .ui files (thanks to
    Christian Bird).

v3.2.4 18th May 2002
  - Bug fixes only from the latest SIP.  (Skipped v3.2.3 to keep the version
    number in line with SIP.)

v3.2.2 11th May 2002
  - Bug fixes only.

v3.2.1 5th May 2002
  - Bug fixes only from the latest SIP.

v3.2 5th May 2002
  - Instances that are sub-classes of TQObject and created by TQt (by factory
    methods, or plugin managers for example) will now have the correct Python
    class.
  - Added the missing TQToolTip.setEnabled() and TQToolTip.enabled().
  - Added support for MacOS X.
  - Added PYTQT_VERSION as the PyTQt release number as a string.
  - Added the semaphore.py example.
  - Any Python object can now be passed as the data element of a TQCustomEvent.
  - configure now searches for TQt v3.0.4.

v3.1 23rd March 2002
  - Removed the internal TQDateTimeEditBase and TQDragResponseEvent classes.
  - Added the TQValueList<TQImageTextLangKey> mapped class.
  - Added the missing TQImageTextLangKey class.
  - Added the missing TQActionGroup.add(), TQActionGroup.addSeparator(),
    TQImage.dotsPerMeterX(), TQImage.dotsPerMeterY(), TQImage.setDotsPerMeterX(),
    TQImage.setDotsPerMeterY(), TQImage.offset(), TQImage.setOffset(),
    TQImage.textList(), TQImage.textLanguages(), TQImage.textKeys(), TQImage.text()
    and TQImage.setText() methods.
  - Added support for TQt/Embedded on the Sharp Zaurus.
  - Added the start of the qtpe (TQt Palmtop Environment) module.
  - Changes required for TQt v3.0.1 and v3.0.2.
  - configure now allows the location of zlib to be specified.
  - configure now allows the directory to where the Python modules are
    installed to be specified.
  - configure now searches for TQt v3.0.1, v3.0.2 and v3.0.3.
  - Changes required by the latest SIP.
  - Added the dragdrop example from Issac Trotts.
  - Added /ReleaseLock/ to everything that might block.
  - Upgraded to autoconf-2.53 and automake-1.6.

v3.0 17th November 2001
  - Added the missing TQChar.nbsp class variable.
  - Added the missing TQChar.isLetterOrNumber(), TQChar.mirroredChar(),
    TQColorDialog.customColor(), TQCustomDialog.customCount(),
    TQColorDialog.getRgba(), TQCustomDialog.setCustomColor(), TQFileDialog.done(),
    TQHeader.setUpdatesEnabled(), TQHeader.showEvent(), TQIconView.dropped(),
    TQIconViewItem.dropped(), TQImage.inputFormatList(),
    TQImage.outputFormatList(), TQLayoutIterator.next(), TQLineEdit.displayText(),
    TQListBox.isRubberSelecting(), TQMenuBar.activateItemAt(),
    TQMenuBar.focusInEvent(), TQMenuBar.isDefaultUp(), TQMenuBar.minimumSize(),
    TQMenuBar.minimumSizeHint(), TQMenuBar.setDefaultUp(), TQMenuData.findItem(),
    TQMimeSourceFactory.filePath(), TQMimeSourceFactory.addFilePath(),
    TQMotifPlusStyle.drawMenuBarItem(), TQMotifPlusStyle.drawPopupMenuItem(),
    TQMotifStyle.drawPopupMenuItem(), TQMotifStyle.extraPopupMenuItemWidth(),
    TQMotifStyle.popupMenuItemHeight(), TQNetworkProtocol.newChildren(),
    TQPlatinumStyle.drawPopupMenuItem(),
    TQPlatinumStyle.extraPopupMenuItemWidth(),
    TQPlatinumStyle.popupMenuItemHeight(), TQPainter.pos(), TQPalette.inactive(),
    TQPopupMenu.drawItem(), TQPopupMenu.itemHeight(), TQPrintDialog.addButton(),
    TQProgressDialog.forceShow(), TQScrollBar.lineStep(), TQScrollBar.maxValue(),
    TQScrollBar.minValue(), TQScrollBar.pageStep(), TQScrollBar.setLineStep(),
    TQScrollBar.setMaxValue(), TQScrollBar.setMinValue(),
    TQScrollBar.setPageStep(), TQScrollBar.setValue(), TQScrollBar.value(),
    TQStyle.drawPopupMenuItem(), TQStyle.drawMenuBarItem(),
    TQStyle.extraPopupMenuItemWidth(), TQStyle.popupMenuItemHeight(),
    TQToolTip.hide(), TQToolTipGroup.enabled(), TQToolTipGroup.setEnabled(),
    TQTranslator.messages(), TQUrlOperator.newChildren(),
    TQUrlOperator.startNextCopy(), TQWindowsStyle.drawPopupMenuItem(),
    TQWindowsStyle.extraPopupMenuItemWidth() and
    TQWindowsStyle.popupMenuItemHeight() methods.
  - Added all missing methods that use TQDataStream.
  - Added the missing TQDir.match(), TQObject.connect(), TQRect.contains(),
    TQString.append() and TQString.prepend() variants.
  - Added the missing TQAccel and TQImage ctors.
  - Added the missing TQColorDrag, TQDns, TQIconDrag, TQIconDragItem, TQMenuItem,
    TQSGIStyle and TQSound classes.
  - Renamed TQDate.isValidDate() to TQDate.isValid(), TQFile.fileExists() to
    TQFile.exists(), TQFile.removeFile() to TQFile.remove(), TQLineEdit.del() to
    TQLineEdit.delChar(), TQMultiLineEdit.deleteChar() to
    TQMultiLineEdit.delChar(), and TQTime.IsValidTime() to TQTime.isValid().
  - Added the TQCanvasSpline, TQCheckTableItem, TQComboTableItem,
    TQCustomMenuEvent, TQDataBrowser, TQDataTable, TQDataView, TQDateEdit,
    TQDateTimeEdit, TQDesktopWidget, TQDockArea, TQDockWindow, TQEditorFactory,
    TQErrorMessage, TQGridView, TQIMEvent, TQKeySequence, TQLibrary,
    TQObjectCleanupHandler, TQPixmapCache, TQProcess, TQRegExpValidator, TQSettings,
    TQSql, TQSqlCursor, TQSqlDatabase, TQSqlDriver, TQSqlEditorFactory, TQSqlError,
    TQSqlField, TQSqlFieldInfo, TQSqlForm, TQSqlIndex, TQSqlPropertyMap, TQSqlQuery,
    TQSqlRecord, TQSqlRecordInfo, TQSqlResult, TQStyleFactory, TQStyleOption,
    TQTabletEvent, TQTextEdit, TQTimeEdit and TQWindowsMime TQt3 classes.
  - Added the missing tqInitNetworkProtocols() function to the qtnetwork module.
  - Removed the TQTableHeader class and TQTabWidget.selected() as they are not
    part of the documented API.
  - Removed the /Transfer/ flag on the TQWidget parameters of
    TQBoxLayout.addWidget(), TQBoxLayout.insertWidget(),
    TQGridLayout.addMultiCellWidget(), TQGridLayout.addWidget() and
    TQLayout.add().
  - TQObject.className() now works with Python classes that sub-class from
    TQObject derived classes.
  - pyuic now generates double quoted strings rather than single quoted strings
    (to help TQt Linguist).
  - Moved the Canvas module classes to the new qtcanvas module.
  - Moved the Network module classes to the new qtnetwork module.
  - Moved the Table module classes to the new qttable module.
  - Moved the XML module classes to the new qtxml module.
  - configure now handles TQt-mt.
  - Upgraded to autoconf-2.52, automake-1.5 and libtool-1.4.1.

v2.5 11th August 2001
	Minor configuration changes.  Added the missing variants of
	TQPixmap.save(), TQWidget.reparent() and TQInputDialog.getText().  Added
	the qtgl module and the gears.py example script (thanks to Toby J
	Sargeant).  TQObject.sender() will now return an appropriate value.
	Fixed TQTextView.setText() and TQScrollView.addChild().  Fixed the
	problems with overloads with different C++ signatures but similar
	Python signatures - TQCString.setNum(), TQLabel.setNum(),
	TQLCDNumber.checkOverflow(), TQString.arg(), TQString.number(),
	TQString.setNum(), TQVariant() and TQWMatrix.map().  Added the missing
	TQTranslator methods.  Added the TQTranslatorMessage class.  configure
	will now look for TQt v2.3.1.  TQInterlaceStyle is enabled only for TQt
	v2.3.1+ as it is broken in 2.3.0 on Windows.  Fixed problems with
	TQLineEdit.event() and TQMultiLineEdit.event().  Added post-hooks to
	complement the existing pre-hooks.  Added the Pizza example from the TQt
	Designer manual.  Removed the Version keyword for the latest SIP.
	Fixed the memory leaks related to sipMapCppToSelf() in handwritten
	code.  Changed the build system to handle different versions of PyTQt
	for different versions of TQt.  NULL TQCanvasItemList, TQFileInfoList,
	TQObjectList, TQStrList and TQWidgetList pointers are now converted to an
	empty Python list rather than None.  Added TQDataStream and the TQDom
	classes (thanks to Jim Bublitz).  Added the tqt_xdisplay(), tqt_xscreen()
	and tqt_xrootwin() functions.  Added the TQColor.getHsv(),
	TQPaintDevice.x11Display(), TQPaintDevice.x11AppDisplay(),
	TQPaintDevice.x11SetAppDpiX(), TQPaintDevice.x11SetAppDpiY() and
	TQWidget.customEvent() methods.

v2.4 22nd April 2001
	Added the missing TQFileDialog.getExistingDirectory(),
	TQLineEdit.setReadOnly(), TQLineEdit.readOnly(),
	TQMotifStyle.comboButtonFocusRect(), TQMotifStyle.comboButtonRect() and
	TQMotifStyle.drawComboButton() methods.  Added the missing
	TQFileDialog.DirectoryOnly and TQPalette.Inactive enum values.  Updated
	the themes.py example.  configure now uses the python executable to get
	the various Python locations.  Added support of TQt v2.3.0, ie.
	TQApplication.type(), TQFontDatabase.isFixedPitch(),
	TQScrollView.AutoOneFit, TQToolBar.styleChange() and TQInterlaceStyle.
	Added the missing final argument to TQMultiLineEdit.insertAt().  Added
	the TQCustomEvent class.  Upgraded to automake v1.4d and libtool v1.3d.

v2.3 4th February 2001
	Added the missing TQMessage.setTextFormat(), TQMessage.textFormat(),
	TQPushButton.isFlat(), TQPushButton.setFlat() and TQMenuData.insertItem()
	methods.  Added the TQCustomMenuItem class.  pyuic assumes that custom
	widgets are in another module and generates code to import them.  Other
	pyuic bug fixes and changes to keep track with TQt v2.2.4.  eric bug
	fixes.  Added the addressbook.py, buttongroups.py and menu.py examples.
	Updated all the tutorial scripts to match those in TQt v2.x.  Removed
	the TQt v1.x specific examples.  Removed the deprecated behaviour of
	repr() for TQString, TQCString and TQByteArray. The Python objects that
	correspond to C++ instances that are "owned" by TQt are now kept alive
	without the Python program having to keep an explicit reference.
	configure now looks for Python 2.1.

v2.2 6th November 2000
	Added the %Copying directive.  Added the missing %HeaderCode in
	qsizepolicy.sip.  Added classes TQServerSocket, TQSocket and
	TQHostAddress.  Added hooks to the TQApplication ctors to tell the
	debugger when it is safe to create TQSocketNotifiers (with UNIX you can
	create TQSocketNotifiers before you create the TQApplication, with
	Windows you can't).  Other fixes to eric to get it working with
	Windows.  Implemented __str__ of TQByteArray, TQCString and TQString to
	return an empty string for null instances.  Changed __repr__ of the
	same classes to return a descriptive string for null instances.  Added
	the missing TQPalette.setInactive().  Colour related fixes to pyuic
	(thanks to Robert Roy).  Added the documentation section on Python
	strings, TQt strings and Unicode.

v2.1 18th October 2000
	Added support for TQt v2.2.1.  Added the widgets.py example.  Added the
	eric debugger.  Added the missing TQCanvasPixmapArray ctor.  Added the
	missing TQMenuData.setItemParameter(), TQMenuData.itemParameter(),
	TQMenuData.activateItemAt(), TQWidget.isHidden(), TQWidget.isMaximized(),
	TQMultiLineEdit.getCursorPosition() and TQButton.keyReleaseEvent().  Add
	the len, [] and in operators to TQStringList.  Various other bug fixes
	(see ChangeLog).

v2.0 14th September 2000
	*NOTE* The implementation of enums has changed meaning that your
	scripts will be need to be changed.  Also repr() of a TQString will
	return a unicode object (rather than a string) with versions of Python
	that support Unicode.
	Added /Transfer/ to TQObject.insertChild().  Added /TransferBack/ to
	TQObject.removeChild() and TQTabBar.removeTab().  Changes needed by the
	latest SIP.  Fixed TQFontInfo.family() for TQt v2.x (thanks to Joerg
	Kollmann).  Added /Transfer/ etc. to several places in TQScrollView,
	TQObject, TQHeader, TQListView and TQListViewItem (thanks to Pete Ware).
	Updated everything for TQt v2.2.0.  Added pyuic.  Updated the examples
	to handle to new form of enums.  Added full support for Windows.
	Install in site-packages if it exists.  Changes to handwritten code to
	support Python 1.6.  Integrate TQString with Python's Unicode support.

v0.12 18th May 2000
	The versions of the examples specific to TQt v1.x now get installed in
	RPMs.  Added TQListBoxItem.selected(), TQStringList.append() and
	TQStringList.prepend().  Added /Transfer/ to TQApplication.setStyle(),
	TQLayout.addItem(), TQBoxLayout.addItem() and TQGridLayout.addItem().
	Added themes.py to the examples.  Clarified the software license.
	Changes needed by the latest SIP.

v0.11.1 1st April 2000
	Fixed the documentation for TQPixmap::fill().  Code now compiles with
	gcc v2.95.2.

v0.11 28th March 2000
	Added TQt v2.x classes TQCDEStyle, TQChar, TQColorDialog, TQCommonStyle,
	TQCString, TQFontDialog, TQGLayoutIterator, TQGrid, TQHBox, TQHButtonGroup,
	TQHGroupBox, TQLayoutItem, TQLayoutIterator, TQMimeSource,
	TQMimeSourceFactory, TQMotifStyle, TQPlatinumStyle, TQSessionManager,
	TQSimpleRichText, TQSizeGrip, TQSizePolicy, TQSpacerItem, TQStringList,
	TQStyle, TQStyleSheet, TQStyleSheetItem, TQt, TQTabWidget, TQTextBrowser,
	TQTextCodec, TQTextDecoder, TQTextEncoder, TQTextIStream, TQTextOStream,
	TQTextStream, TQTextView, TQTranslator, TQUriDrag, TQVBox, TQVButtonGroup,
	TQVGroupBox, TQWheelEvent, TQWidgetItem, TQWindowsStyle and TQWizard.  Many
	other smaller changes for TQt v2.x.  Added TransferThis where needed.

v0.10.1 21st January 2000
	Fixed a bug in the repr() functions for TQString and TQByteArray by
	generating the code using the latest SIP.

v0.10 19th December 1999
	The .pyc files are now created by the installation process.  Added
	tqAppName(), TQCursor.handle(), TQFont.handle(), TQPaintDevice.handle(),
	TQPainter.handle().  Added most of the typedefs.  Changed
	examples/application.py so as not to use the obsolete (and
	unimplemented) TQMessageBox.message().  Fixed bug in TQPixmap ctor.
	Changed the format of version qualifiers for the latest SIP.  Various
	small changes to port to Windows.  Added ReleaseLock to TQDialog.exec().
	Fixed a bug in TQRect.coords().  Changed TQString and TQByteArray from
	being mapped classes to being regular classes.  Changed
	examples/application.py, examples/dclock.py and examples/dirview.py to
	explicitly convert from TQString where needed.

v0.9 6th September 1999
	Separated the TQt and KDE bindings.  These are the TQt bindings.  Various
	changes needed by the latest SIP.  Re-introduced SLOT().  Changed the
	examples to use SLOT() where possible.  Added TQObject.disconnect(),
	TQAccel.disconnectItem(), TQMenuData.disconnectItem(),
	TQMovie.disconnectResize(), TQMovie.disconnectStatus(),
	TQMovie.disconnectUpdate() and TQApplication.clipboard().  Added the
	TQClipboard and TQSocketNotifier classes.  TQEvent is automatically
	converted to the correct sub-class.  The TQt event loop now cooperates
	with Python threads.  Tested with TQt v1.44, Python v1.5.2, egcs v1.1.2
	and glibc v2.1.

v0.8 29th May 1999
	Hopefully fixed the SuSE configuration problems.  Fixed the TQPointArray
	ctor and TQPointArray.setPoints() that took a list of points.  Removed
	the section in the documentation referring to the inability to handle
	C++ references.  Added lots of const keywords to suppress new warning
	messages from the compiler.  Changed the handwritten code for mapped
	classes to follow the new NULL/None conventions, and for the
	introduction of sipParseArgs().  Added Drag-and-Drop support to kmyapp.
	Added Matt Gerassimoff's TQt examples.  Added the TQCursor global
	cursors.  Added TQPainter.boundingRect(), TDEApplication.addDropZone(),
	TDEApplication.removeDropZone, TDEApplication.setRootDropZone(). Added
	TQDragEnterEvent, TQDragLeaveEvent, TQDragMoveEvent, TQDragObject,
	TQDragResponseEvent, TQDropEvent, TQDropSite, TQHideEvent, TQImageDrag,
	TQPaintDeviceMetrics, TQShowEvent, TQStoredDrag, TQTextDrag, TQTimer,
	TQUrlDrag, TQWindow, KDNDDropZone, KDNDIcon, KDNDWidget, KPath, KSpell,
	KSpellConfig, KSpellDlg, KTreeList, KTreeListItem.  Tested with TQt
	v1.44, KDE v1.1.1, Python v1.5.2, egcs v1.1.2 and glibc v2.1.1.

v0.7.1 3rd May 1999
	Fixed the detection of -fno-exceptions support.  Added the necessary
	Py_DECREF(sipArgs) to all handwritten code.  Tested with TQt v1.44, KDE
	v1.1.1, Python v1.5.2, egcs v1.1.2 and glibc v2.1.

v0.7 16th April 1999
	Build with -fno-exceptions if supported.  Converted the documentation
	to SGML.  Replaced TQT_VERSION and KDE_VERSION with the proper TQt and
	KDE version constants.  Fixed a bad bug converting from TQStrings to
	Python strings.  The "connect" convenience function has been removed.
	Added the class variables for all supported classes.  Removed SLOT()
	from all examples.  Renamed some static functions in TQDate, TQTime and
	TQFile (needed because of the new implementation of static member
	functions).  Added the ordinary functions related to supported classes.
	Added TQListView, TQListViewItem, TQCheckListItem, KButton, KButtonBox,
	KContainerLayout, KContainerLayoutItem, KControlApplication,
	KControlDialog, TDEConfigWidget, KDatePicker, KDateTable, KDialog,
	KDirectionButton, KGradientSelector, KIntegerLine, KLed, KLedLamp,
	TDEListSpinBox, KNewPanner, KNumericSpinBox, KPanner, TDEPopupMenu,
	KQuickHelp, KQuickHelpWindow, KRestrictedLine, KRuler, TDESelector,
	KSeparator, KSlider, KSpinBox, KTabBar, KTabButton, KTabCtl,
	TDEToolBoxManager, KWizard, KWizardPage, KXYSelector.  Tested with TQt
	v1.44, KDE v1.1, Python v1.5.2, egcs v1.1.2 and glibc v2.1.

v0.6 20th February 1999
	Removed some handwritten code now that SIP automatically handles mapped
	classes and slots.  Changed TQString to be mapped to/from Python
	strings.  Added the static member functions for all supported classes.
	Added new member functions for KDE v1.1.  Added TQBoxLayout,
	TQButtonGroup, TQChain, TQCheckBox, TQChildEvent, TQDate, TQDateTime,
	TQDialog, TQDir, TQFileDialog, TQFileIconProvider, TQFileInfo,
	TQFileInfoList, TQGManager, TQGroupBox, TQGridLayout, TQHBoxLayout, TQHeader,
	TQIconSet, TQLayout, TQMainWindow, TQMessageBox, TQMovie, TQMultiLineEdit,
	TQObjectList, TQPrintDialog, TQPrinter, TQProgressBar, TQProgressDialog,
	TQRadioButton, TQScrollView, TQSemiModal, TQSpinBox, TQSplitter, TQStatusBar,
	TQTab, TQTabBar, TQTabDialog, TQTime, TQToolBar, TQToolButton, TQToolTip,
	TQToolTipGroup, TQVBoxLayout, TQWhatsThis, TQWidgetList, TQWidgetStack.
	Added DlgLocation, KColorButton, KColorCombo, KColorDialog,
	KColorGroup, KDirDialog, KDirEntry, KEdit, KFM, KFileBaseDialog,
	KFileBookmark, KFileDialog, KFileInfo, KFileInfoContents,
	KFileInfoList, TDEFontDialog, TDEHTMLView, KIconLoaderButton,
	KIconLoaderDialog, KMsgBox, KPixmap, KProgress, TDERadioGroup,
	KSimpleConfig, KURL.  Tested with TQt v1.42, KDE v1.1, egcs v1.1.1 and
	glibc v2.1.

v0.5 21st January 1999
	The bindings are now packaged with autoconf configure scripts.  The
	enum in TQFrame is now unnamed as it is in TQt.  All the examples changed
	to use the new form of enums.  Added support for tqApp, the global
	TQColors, kapp, i18n(), Icon() and ICON().  Same test environment as
	v0.4.

v0.4 9th January 1999
	Enough TQt and KDE classes to implement the 14 TQt tutorials and KMyApp,
	but still not that many that implement user interface widgets.  Tested
	with TQt v1.42, KDE v1.0 and gcc v2.8.1.

v0.3 9th December 1998
	Many more TQt classes, but still not many that implement user interface
	widgets.  Those classes that are implemented are almost all fully
	implemented.  Tested with TQt v1.42.

v0.2 5th December 1999
	Added the definitions of protected and virtual member functions.

v0.1 1st November 1998
	First release (with a very small set of classes implemented) to give
	people a flavour.  Tested with TQt v1.41.
